Subject: [PATCH v2 02/11] clocksource:global_timer: Add ARM global timer support.

From: [email-masked] (Srinivas KANDAGATLA)
Date: Tue, 11 Jun 2013 15:05:14 +0100

On 10/06/13 14:41, Srinivas Kandagatla wrote:
> On 10/06/13 14:13, Linus Walleij wrote:
>> On Mon, Jun 10, 2013 at 11:21 AM, Srinivas KANDAGATLA
>> Isn't it better to pass a struct device_node *np around and have that as
>> NULL in the non-DT boot path?
> I will try it and see how it will look.

I did try the change you suggested regarding passing struct device_node
*np around for both DT and non-DT boot paths.

Doing this is not adding any value to the driver, because
 1. Currently the driver only support DT boot paths, in my previous RFC
patches, Arnd suggested to get rid of the header as all platforms are DT
now.
 2. Passing device_node around is not adding any value w.r.t reducing
code or any thing.

So, I think I will stay with what is there originally, unless you have a
strong reason.

Thanks,
srini

> 
> Thanks,
> srini
>>
>> (Maybe somebody in the community asked you to do this, then I
>> will live with it.)
> 
>>
>> Yours,
>> Linus Walleij
>>
>>
>